Themes
List a theme's templates
Template metadata — no Liquid content. Fetch a body one at a time
from /api/v202604/themes/{theme_id}/templates/{id}.
GET
/
api
/
v202604
/
themes
/
{theme_id}
/
templates
List a theme's templates
curl --request GET \
--url https://api.fluid.app/api/v202604/themes/{theme_id}/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v202604/themes/{theme_id}/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v202604/themes/{theme_id}/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templates": [
{
"id": 902120,
"name": "About Dunder Mifflin",
"themeable_type": "page",
"status": "active",
"default": false,
"global": false,
"source": "theme",
"application_theme_id": 48213,
"company_id": 1405,
"app_extension_id": null,
"extension_uri": null,
"droplet_name": null,
"country_ids": [],
"hide_navbar": false,
"use_active_application_theme": false,
"stylesheet": null,
"stylesheet_tag_injected": true,
"stylesheet_column_hidden": true,
"created_at": "2026-03-02T18:11:26Z",
"updated_at": "2026-09-08T10:05:19Z"
},
{
"id": 902121,
"name": "Paper Sales Contact",
"themeable_type": "page",
"status": "active",
"default": false,
"global": false,
"source": "theme",
"application_theme_id": 48213,
"company_id": 1405,
"app_extension_id": null,
"extension_uri": null,
"droplet_name": null,
"country_ids": [],
"hide_navbar": false,
"use_active_application_theme": false,
"stylesheet": null,
"stylesheet_tag_injected": true,
"stylesheet_column_hidden": true,
"created_at": "2026-03-02T18:11:26Z",
"updated_at": "2026-09-08T10:05:19Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The theme's id.
Query Parameters
Restrict to one or more themeable types, comma-separated for several. Unknown values match nothing.
Response
Success
Show child attributes
Show child attributes
⌘I
List a theme's templates
